package cc.smarnet.customerdemo;

import androidx.appcompat.app.AppCompatActivity;
import android.content.DialogInterface;
import android.hardware.display.DisplayManager;
import android.os.Bundle;
import android.view.Display;
import android.view.View;
import android.widget.Button;
import java.util.Objects;

public class MainActivity extends AppCompatActivity {

    private DisplayManager displayManager;
    private Customer customer;
    private boolean startOrEndSecondaryScreen;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Button btn = findViewById(R.id.button3);
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (!startOrEndSecondaryScreen) {
                    showSecondaryScreen();
                    startOrEndSecondaryScreen = true;
                } else {
                    startOrEndSecondaryScreen = false;
                    customer.dismiss();
                }
            }
        });

    }


    void showSecondaryScreen() {
        displayManager = (DisplayManager) getSystemService(DISPLAY_SERVICE);
        Display[] displays = Objects.requireNonNull(displayManager).getDisplays(DisplayManager.DISPLAY_CATEGORY_PRESENTATION);
        if (Objects.requireNonNull(displays).length > 0) {
            Display display = displays[0];
            customer = new Customer(this, display);
            customer.show();
            customer.setOnDismissListener(new DialogInterface.OnDismissListener() {
                @Override
                public void onDismiss(DialogInterface dialogInterface) {

                }
            });
        }
    }
}
